home=/home/"$sv"

while ! sudo -u postgres psql </dev/null
do sleep 1; done
"$tool"/local/postgresql-user-create     "$sv"
"$tool"/local/postgresql-database-create "$sv"
sudo -u postgres psql -AqtX "$sv" <<-EOF
	\set ON_ERROR_STOP on
	GRANT USAGE  ON SCHEMA pg_catalog               TO $sv;
	GRANT SELECT ON TABLE  pg_catalog.pg_attribute  TO $sv;
	GRANT SELECT ON TABLE  pg_catalog.pg_class      TO $sv;
	GRANT SELECT ON TABLE  pg_catalog.pg_constraint TO $sv;
	GRANT SELECT ON TABLE  pg_catalog.pg_indexes    TO $sv;
	GRANT SELECT ON TABLE  pg_catalog.pg_proc       TO $sv;
	GRANT SELECT ON TABLE  pg_catalog.pg_type       TO $sv;
	EOF
sudo -u postgres psql -AqtX template1 <<-EOF
	\set ON_ERROR_STOP on
	GRANT CONNECT ON DATABASE template1                TO $sv;
	GRANT USAGE   ON SCHEMA   pg_catalog               TO $sv;
	GRANT SELECT  ON TABLE    pg_catalog.pg_database   TO $sv;
	GRANT SELECT  ON TABLE    pg_catalog.pg_user       TO $sv;
	EOF

"$tool"/local/adduser "$sv" \
 --disabled-login \
 --disabled-password \
 --group \
 --home "$home" \
 --shell /bin/false \
 --system
"$tool"/local/adduser "$sv"-addon \
 --disabled-login \
 --disabled-password \
 --group \
 --home "$home"/addon.d \
 --shell /bin/false \
 --system

sudo install -d -m 1777 -o root -g root \
 /etc/openerp
sudo install -d -m 3771 -o "$sv" -g "$sv" \
 "$home"
sudo -u "$sv" wget -c http://nightly.openerp.com/6.0/6.0/openerp-server-6.0.4-20130520-r3663.tar.gz -O /tmp/openerp-server.tar.gz
sudo -u "$sv" tar -xf /tmp/openerp-server.tar.gz -C "$home"
"$tool"/local/apt-get-install patch fetchmail
sudo -u "$sv" patch -d "$home"/openerp-server-6.0.4/bin/addons/document_webdav/ <<- EOF
	diff -Nru document_webdav.old/dav_fs.py document_webdav/dav_fs.py
	--- document_webdav.old/dav_fs.py	2012-08-09 01:01:18.000000000 +0200
	+++ document_webdav/dav_fs.py	2012-11-28 18:16:55.762897399 +0100
	@@ -28,12 +28,12 @@
	 import netsvc
	 import urlparse
	 
	-from DAV.constants import COLLECTION  #, OBJECT
	-from DAV.errors import DAV_Error, DAV_Forbidden, DAV_NotFound
	-from DAV.iface import dav_interface
	+from pywebdav.lib.constants import COLLECTION  #, OBJECT
	+from pywebdav.lib.errors import DAV_Error, DAV_Forbidden, DAV_NotFound
	+from pywebdav.lib.iface import dav_interface
	 import urllib
	 
	-from DAV.davcmd import copyone, copytree, moveone, movetree, delone, deltree
	+from pywebdav.lib.davcmd import copyone, copytree, moveone, movetree, delone, deltree
	 from cache import memoize
	 from tools import misc
	 
	diff -Nru document_webdav.old/webdav.py document_webdav/webdav.py
	--- document_webdav.old/webdav.py	2012-11-28 18:08:16.326780608 +0100
	+++ document_webdav/webdav.py	2012-11-28 18:22:20.582972764 +0100
	@@ -30,11 +30,11 @@
	 from tools.translate import _
	 
	 try:
	-    from DAV import utils
	-    from DAV.propfind import PROPFIND
	-    from DAV.report import REPORT
	+    from pywebdav.lib import utils
	+    from pywebdav.lib.propfind import PROPFIND
	+    from pywebdav.lib.report import REPORT
	 except ImportError:
	-    raise osv.except_osv(_('PyWebDAV Import Error!'), _('Please install PyWebDAV from http://code.google.com/p/pywebdav/downloads/detail?name=PyWebDAV-0.9.4.tar.gz&can=2&q=/'))
	+    raise osv.except_osv(_('PyWebDAV Import Error!'), _('Please install PyWebDAV from http://code.google.com/p/pywebdav/downloads/detail?name=PyWebDAV-0.9.8.tar.gz&can=2&q='))
	 
	 import tools
	 
	diff -Nru document_webdav.old/webdav_server.py document_webdav/webdav_server.py
	--- document_webdav.old/webdav_server.py	2012-10-03 01:01:16.000000000 +0200
	+++ document_webdav/webdav_server.py	2012-11-28 18:16:34.066892588 +0100
	@@ -38,7 +38,7 @@
	 import netsvc
	 from dav_fs import openerp_dav_handler
	 from tools.config import config
	-from DAV.WebDAVServer import DAVRequestHandler
	+from pywebdav.lib.WebDAVServer import DAVRequestHandler
	 from service import http_server
	 from service.websrv_lib import FixSendError, HttpOptions
	 from BaseHTTPServer import BaseHTTPRequestHandler
	@@ -48,10 +48,10 @@
	 import time
	 from string import atoi
	 import addons
	-from DAV.utils import IfParser, TagList
	-from DAV.errors import DAV_Error, DAV_Forbidden, DAV_NotFound
	-from DAV.propfind import PROPFIND
	-# from DAV.constants import DAV_VERSION_1, DAV_VERSION_2
	+from pywebdav.lib.utils import IfParser, TagList
	+from pywebdav.lib.errors import DAV_Error, DAV_Forbidden, DAV_NotFound
	+from pywebdav.lib.propfind import PROPFIND
	+# from pywebdav.lib.constants import DAV_VERSION_1, DAV_VERSION_2
	 from xml.dom import minidom
	 from redirect import RedirectHTTPHandler
	 _logger = logging.getLogger(__name__)
	EOF

sudo install -d -m 750 -o "$sv" -g "$sv" \
 "$home"/var/ \
 "$home"/var/filestore

sudo install -d -m 2770 -o "$sv" -g "$sv"-addon \
 "$home"/addon.d
sudo install -d -m 750 -o "$sv" -g "$sv" \
 "$home"/etc \
 /etc/openerp/"${sv#openerp_}"
sudo ln -fns \
 /etc/openerp/"${sv#openerp_}" \
 "$home"/etc/openerp

sudo adduser git   "$sv"-addon
sudo adduser "$sv" "$sv"-addon
sudo adduser "$sv" postgres-data

for addon in \
	lhc
 do
	sudo install -d -m 2771 -o "$sv" -g "$sv"-addon \
	 "$home"/addon.d/"$addon"
	sudo ln -s "$home"/addon.d/"$addon" "$home"/addon.d/lhc_custom_oe
	sudo -u git git \
	 --git-dir ~git-data/burette/"$addon".git \
	 --work-tree="$home"/addon.d/"$addon" \
	 checkout -f master
	sudo -u git git \
	 --git-dir ~git-data/burette/"$addon".git \
	 --work-tree="$home"/addon.d/"$addon" \
	 clean -d -f -f -x
	sudo chmod a-x \
	 /home/git/pub/burette/"$addon".git/hooks/post-update.sample
	sudo install -m 550 -o git -g git /dev/stdin \
	 /home/git/pub/burette/"$addon".git/hooks/post-update <<-EOF
		#!/bin/sh -efux
		find . -type f -perm /+x -name 'post-update.*' |
		while IFS= read -r hook
		 do "\$hook" "\$@"
		 done
		EOF
	sudo install -m 550 -o git -g git /dev/stdin \
	 /home/git/pub/burette/"$addon".git/hooks/post-update."$sv" <<-EOF
		#!/bin/sh -efux
		case \$1 in
		 (refs/heads/master)
			git \\
			 --git-dir ~git-data/burette/"$addon".git \\
			 --work-tree="$home"/addon.d/"$addon" \\
			 checkout -f master
			git \\
			 --git-dir ~git-data/burette/"$addon".git \\
			 --work-tree="$home"/addon.d/"$addon" \\
			 clean -d -f -f -x
			#sv restart "$sv"
			;;
		 esac
		EOF
 done
